---

- name: "include CRUD for projects"
  include_tasks: configure_project_crud.yml

- name: "include CRUD for project meta-data"
  include_tasks: configure_project_metadata_crud.yml 
  vars:
    project_name: '{{ project.project_attributes.project_name }}'
  loop: '{{ project.meta_data | dict2items }}'
  loop_control:
    loop_var: meta_data_elem
  when:
    - project.meta_data is defined

- name: "include CRUD for project members"
  include_tasks: configure_project_members_crud.yml
  vars:
    project_name: '{{ project.project_attributes.project_name }}'
  loop: '{{ project.members }}'
  loop_control:
    loop_var: member
